import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bi(): Series;
    constructor();
    protected get_abm(): IndicatorCalculationStrategy;
    protected get abm(): IndicatorCalculationStrategy;
    protected get_abz(): Type;
    protected get abz(): Type;
    get ab7(): number;
    set ab7(a: number);
    static readonly acc: DependencyProperty;
    protected abs(): number;
    ab1(a: number): void;
    get smoothingPeriod(): number;
    set smoothingPeriod(a: number);
    static readonly acd: DependencyProperty;
    protected abu(): number;
    get ab9(): number;
    set ab9(a: number);
    static readonly ace: DependencyProperty;
    protected abr(): number;
    protected aa2(): number;
}
